Bug 1563693 - lightdm changed colors for it's toolbar since last update
Summary: lightdm changed colors for it's toolbar since last update
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: lightdm-gtk
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 13:18 UTC by Ali Akcaagac
Modified: 2019-01-04 21:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-04 21:23:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Ali Akcaagac 2018-04-04 13:18:23 UTC
I've been using lightdm-gtk with Xfce4 for quite some years now.

One of the recent updates that came, lightdm-gtk has changed colors for the toolbar kinda thing on the top (where plugins like clock, etc. can be placed).

I have Adwaita theme applied to it and as long as I can remember the top panel kinda thing always had bright (white colors) with black icons, time, text etc. on it.

With the recent version this behaviour got changed from white to black. Basicly the colors got inverted.

I am not really sure whether this is happening through a GTK3 update, lightdm-gtk update or wheter this is an Adwaita:dark vs. Adwaita:bright theming.

But then I would expect this issue to occour in other GTK3 applications as well if somehow GTK3 changed to a dark behaviour intentionally. But my normal GTK3 apps remain bright.

Therefore the issue may be lightdm related.

Is there any way to fix this ? I really like to get the white Adwaita toolbar kinda thing back...

Comment 1 Wolfgang Ulbrich 2018-04-12 11:22:59 UTC
I think it comes from lightdm-gtk upstream, and the panel bar is transparency here.
But it doesn't look so bad....

Comment 2 Wolfgang Ulbrich 2018-04-12 11:34:34 UTC
Ok, i was wrong, if i choose another theme than the default (adwaita) than panel goes back to normal.
Edit /etc/lightdm/lightdm-gtk-greeter.conf
Eg.
theme-name=BlueMenta

Comment 3 Wolfgang Ulbrich 2018-04-12 11:46:32 UTC
Hmm, looks like upstream added 'osd' style class to the glade file, see
https://bazaar.launchpad.net/~lightdm-gtk-greeter-team/lightdm-gtk-greeter/trunk/revision/420

That means the transparency look is intend to be used by upstream.

Comment 4 Ali Akcaagac 2018-04-12 12:12:21 UTC
I see...

I initially thought that something got messed up, because you can define e.g. Adwaita and Adwaita:dark as a GTK3 Theme (I am using Adwaita by the way). When I saw that the top bar changed to a dark color, I instantly checked up my config and saw that Adwaita still remains as definded theme. Therefore I was curious why it changed to the dark (or transparent) kinda look.

So what I learn from now is: That the transparent change gonna adapt the kind of background I use. If I use a dark wallpaper for example then the top bar is going to adapt a dark looking view because of the transparancy. I will test this with a bright wallpaper this weekend (need to find some time here)...

Thanks for the feedback so far...


Note You need to log in before you can comment on or make changes to this bug.